Subject: Re: [PATCH 3/5] Add option for using a foreign VCS

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Mar 2009 11:58:45 -0700

Daniel Barkalow <[email-masked]> writes:

> On Wed, 25 Mar 2009, Junio C Hamano wrote:
>
>> Daniel Barkalow <[email-masked]> writes:
>> 
>> >> > -	if (!prefixcmp(url, "rsync:")) {
>> >> > +	if (remote && remote->foreign_vcs) {
>> >> > +	} else if (!prefixcmp(url, "rsync:")) {
>> >> 
>> >> 	if (...) {
>> >>         	; /* empty */
>> >> 	} else ...
>> >
>> > I don't think I've ever tried writing an empty block for git before. It's 
>> > braces containing a semicolon and comment? (Of course, the reason I wrote 
>> > this one this way is so that the next patch could put two "+" lines in 
>> > there and have no "-" lines)
>> 
>> Wasn't a serious "this has to be the final style" suggestion, but more
>> about "what do you mean by this?  are you going to add more code here in
>> the later round?" question.
>
> Ah, yes, I do intend to add code there subsequently, and this is just a 
> placeholder so that it returns a correctly-constructed struct which 
> doesn't support any operations until those operations are added.

Ah, OK, thanks.

In that case, I would say:

	if (...) {
        	; /* empty for now */
	} else ... {

or even more explicit:

	if (...) {
		/*
                 * NEEDSWORK: later when we activate nitfol,
                 * add code to let gostak distim the doshes here.
                 */
        	;
	} else ... {

to allow people to grep for NEEDSWORK would be more appropriate.